Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller Class Reference
Inheritance diagram for EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller:

## Public Member Functions
| __construct (Connection $db)
| setOutput ($output)

## Protected Member Functions
| copyConfigurationFile ($source, $target)
| Copy and override configuration file. More...
| runQueriesFromFile ($file)
| getKernelSQLFileForDBMS ($relativeFilePath)
| Get DBMS-specific SQL data file path. More...

## Protected Attributes
| $db
| $output
| $baseDataDir

## Detailed Description

Definition at line 13 of file DbBasedInstaller.php.

## Constructor & Destructor Documentation

## ◆ __construct()

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::__construct | ( | Connection | $db | ) |

Definition at line 24 of file DbBasedInstaller.php.

References EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\$db.

## Member Function Documentation

## ◆ copyConfigurationFile()

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::copyConfigurationFile | ( |  | $source,
|  |  | $target
| ) |  |
| protected

Copy and override configuration file.

Parameters

  string | $source |
  string | $target |

Definition at line 45 of file DbBasedInstaller.php.

## ◆ getKernelSQLFileForDBMS()

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::getKernelSQLFileForDBMS | ( |  | $relativeFilePath | ) |
| final protected

Get DBMS-specific SQL data file path.

Parameters

  string | $relativeFilePath | SQL file path relative to {baseDir}/{dbms} directory

Returns
  string absolute existing file path

Exceptions

Definition at line 87 of file DbBasedInstaller.php.

Referenced by EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importData(), EzSystems\PlatformInstallerBundle\Installer\CoreInstaller\importData(), and EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importSchema().

## ◆ runQueriesFromFile()

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::runQueriesFromFile | ( |  | $file | ) |
| protected

Definition at line 55 of file DbBasedInstaller.php.

Referenced by EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importData(), EzSystems\PlatformInstallerBundle\Installer\CoreInstaller\importData(), and EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importSchema().

## ◆ setOutput()

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::setOutput | ( |  | $output | ) |

Parameters

  \Symfony\Component\Console\Output\OutputInterface | $output |

Definition at line 34 of file DbBasedInstaller.php.

References EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\$output.

## Member Data Documentation

## ◆ $baseDataDir

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::$baseDataDir
| protected

Definition at line 22 of file DbBasedInstaller.php.

## ◆ $db

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::$db
| protected

Definition at line 16 of file DbBasedInstaller.php.

Referenced by EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\__construct(), and EzSystems\PlatformInstallerBundle\Installer\CoreInstaller\__construct().

## ◆ $output

EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller::$output
| protected

Definition at line 19 of file DbBasedInstaller.php.

Referenced by EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\setOutput().

The documentation for this class was generated from the following file:

- DbBasedInstaller.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.